Name:           binwalk
Version:        1.2
Release:        2%{?dist}
Summary:        Firmware analysis tool
License:        MIT
URL:            http://code.google.com/p/binwalk/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         binwalk-1.2-ignore-matplotlib-fail.patch
BuildArch:      noarch
BuildRequires:  python-magic, python-matplotlib
Requires:       python-matplotlib, python-magic

%description
Binwalk is a tool for searching a given binary image for embedded files and
executable code. Specifically, it is designed for identifying files and code
embedded inside of firmware images. Binwalk uses the python-magic library, so 
it is compatible with magic signatures created for the Unix file utility. 

%prep
%setup -q
%patch0 -p1 -b .ignore-matplotlib-fail

%build
pushd src
%{__python} setup.py build
popd

%install
pushd src
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}
popd

%files
%doc docs/*
%{_bindir}/%{name}
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}*.egg-info

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr  8 2013 Tom Callaway <spot@fedoraproject.org> 1.2-1
- update to 1.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 26 2012 Adam Jackson <ajax@redhat.com> 0.4.5-1
- Initial packaging.

